#!/bin/bash

package=HTML-Parser
version=-3.71

progname=$0

source ../../bin/script/test-setup.bash
source ../../lib/cascade-lib.bash

prefix=$GEXTOCR_INSTALLED/cmdline

opt_run_untar $force_untar $auto_untar $package $version 

if [ $compile = "1" ] ; then
  (
    cd $package$version; \
    if [ ! -f Makefile ] ; then \
      perl Makefile.PL PREFIX=$prefix/cpan; \
    fi
  );
fi

opt_run_make $compile   $package $version
opt_run_make $install   $package $version "install"
opt_run_make $clean     $package $version "clean"
opt_run_make $distclean $package $version "distclean"

opt_run_tarclean $tarclean $package $version


