#!/bin/bash

package=numpy
version=-1.9.2

progname=$0

source ../../bin/script/test-setup.bash
source ../../lib/cascade-lib.bash

prefix=$GEXTOCR_INSTALLED/cmdline

opt_run_untar $force_untar $auto_untar $package $version 

opt_run_setuppy $install   $package $version "install --prefix $prefix --record installed_files.txt"

if [ $clean = "1" ] || [ $distclean = "1" ] ; then
    ( cd $package$version ; \
      if [ -f installed_files.txt ] ; then \
        /bin/rm -rf $(cat installed_files.txt) ; \
        /bin/rm -rf installed_files.txt ; \
      fi );
fi

opt_run_tarclean $tarclean $package $version
